commoble.looot.loot

## Class NameEnchantedItem

- java.lang.Object
- - net.minecraft.loot.LootFunction
  - - commoble.looot.loot.NameEnchantedItem

All Implemented Interfaces:
  java.util.function.BiFunction<net.minecraft.item.ItemStack,net.minecraft.loot.LootContext,net.minecraft.item.ItemStack>, net.minecraft.loot.functions.ILootFunction, net.minecraft.loot.IParameterized

    public class NameEnchantedItem
    extends net.minecraft.loot.LootFunction

### Nested Class Summary

Nested Classes
`static class` `NameEnchantedItem.Serializer`

### Nested classes/interfaces inherited from class net.minecraft.loot.LootFunction

`net.minecraft.loot.LootFunction.Builder<T extends net.minecraft.loot.LootFunction.Builder<T>>`

### Nested classes/interfaces inherited from interface net.minecraft.loot.functions.ILootFunction

`net.minecraft.loot.functions.ILootFunction.IBuilder`

### Field Summary

Fields
`static net.minecraft.util.ResourceLocation` `ALL`
`static net.minecraft.util.text.Style` `DEFAULT_MAJOR_STYLE`
`static net.minecraft.util.text.Style` `DEFAULT_MINOR_STYLE`
`static net.minecraft.util.ResourceLocation` `ID`
`protected boolean` `ignoreEnchantments`
`protected java.util.Optional<net.minecraft.util.text.Style>` `majorStyle`
`protected java.util.Optional<net.minecraft.util.text.Style>` `minorStyle`
`static net.minecraft.loot.LootFunctionType` `TYPE`
`static net.minecraft.util.text.TranslationTextComponent` `UNKNOWN_DESCRIPTOR`
`static net.minecraft.util.ResourceLocation` `UNKNOWN_ENCHANTMENT`
`static net.minecraft.util.text.TranslationTextComponent` `VERY_UNKNOWN_ENCHANTMENT_PREFIX`
`static net.minecraft.util.text.TranslationTextComponent` `VERY_UNKNOWN_ENCHANTMENT_SUFFIX`

### Fields inherited from class net.minecraft.loot.LootFunction

`conditions`

### Constructor Summary

Constructors
Constructor and Description
`NameEnchantedItem(net.minecraft.loot.conditions.ILootCondition[] conditionsIn, java.util.Optional<net.minecraft.util.text.Style> minorStyle, java.util.Optional<net.minecraft.util.text.Style> majorStyle, boolean ignoreEnchantments)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected net.minecraft.item.ItemStack` `doApply(net.minecraft.item.ItemStack stack, net.minecraft.loot.LootContext context)`
`static net.minecraft.util.text.IFormattableTextComponent` `getEpicName(net.minecraft.item.ItemStack stack, net.minecraft.loot.LootContext context)`
`net.minecraft.loot.LootFunctionType` `getFunctionType()`
`static net.minecraft.util.text.IFormattableTextComponent` `getNameForEnchantment(boolean isPrefix, net.minecraft.enchantment.Enchantment enchantment, int level, java.util.Random rand)`
`static org.apache.commons.lang3.tuple.Pair<net.minecraft.util.text.IFormattableTextComponent,net.minecraft.util.text.IFormattableTextComponent>` `getRandomWords(net.minecraft.item.ItemStack stack, java.util.Random rand)`

### Methods inherited from class net.minecraft.loot.LootFunction

`apply, builder, func_225580_a_`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.loot.functions.ILootFunction

`func_215858_a`

### Methods inherited from interface net.minecraft.loot.IParameterized

`getRequiredParameters`

### Methods inherited from interface java.util.function.BiFunction

`andThen`

### Field Detail

#### ID

    public static final net.minecraft.util.ResourceLocation ID

#### TYPE

    public static final net.minecraft.loot.LootFunctionType TYPE

#### ALL

    public static final net.minecraft.util.ResourceLocation ALL

#### UNKNOWN_ENCHANTMENT

    public static final net.minecraft.util.ResourceLocation UNKNOWN_ENCHANTMENT

#### VERY_UNKNOWN_ENCHANTMENT_PREFIX

    public static final net.minecraft.util.text.TranslationTextComponent VERY_UNKNOWN_ENCHANTMENT_PREFIX

#### VERY_UNKNOWN_ENCHANTMENT_SUFFIX

    public static final net.minecraft.util.text.TranslationTextComponent VERY_UNKNOWN_ENCHANTMENT_SUFFIX

#### UNKNOWN_DESCRIPTOR

    public static final net.minecraft.util.text.TranslationTextComponent UNKNOWN_DESCRIPTOR

#### DEFAULT_MINOR_STYLE

    public static final net.minecraft.util.text.Style DEFAULT_MINOR_STYLE

#### DEFAULT_MAJOR_STYLE

    public static final net.minecraft.util.text.Style DEFAULT_MAJOR_STYLE

#### ignoreEnchantments

    protected final boolean ignoreEnchantments

#### minorStyle

    protected final java.util.Optional<net.minecraft.util.text.Style> minorStyle

#### majorStyle

    protected final java.util.Optional<net.minecraft.util.text.Style> majorStyle

### Constructor Detail

#### NameEnchantedItem

    public NameEnchantedItem(net.minecraft.loot.conditions.ILootCondition[] conditionsIn,
                             java.util.Optional<net.minecraft.util.text.Style> minorStyle,
                             java.util.Optional<net.minecraft.util.text.Style> majorStyle,
                             boolean ignoreEnchantments)

### Method Detail

#### getFunctionType

    public net.minecraft.loot.LootFunctionType getFunctionType()

#### getNameForEnchantment

    public static net.minecraft.util.text.IFormattableTextComponent getNameForEnchantment(boolean isPrefix,
                                                                                          net.minecraft.enchantment.Enchantment enchantment,
                                                                                          int level,
                                                                                          java.util.Random rand)

#### doApply

    protected net.minecraft.item.ItemStack doApply(net.minecraft.item.ItemStack stack,
                                                   net.minecraft.loot.LootContext context)

Specified by:
  `doApply` in class `net.minecraft.loot.LootFunction`

#### getEpicName

    public static net.minecraft.util.text.IFormattableTextComponent getEpicName(net.minecraft.item.ItemStack stack,
                                                                                net.minecraft.loot.LootContext context)

#### getRandomWords

    public static org.apache.commons.lang3.tuple.Pair<net.minecraft.util.text.IFormattableTextComponent,net.minecraft.util.text.IFormattableTextComponent> getRandomWords(net.minecraft.item.ItemStack stack,
                                                                                                                                                                          java.util.Random rand)